Skip to content

Get Influencer report

Request

Every successful request costs 1 credit.

Security
accessToken
Path
userIdstringrequired

User's YouTube handle or user ID from YouTube

Example:@MrBeast
Query
calculationMethodstring

If specified, this indicates the method used to compute average-based metrics, such as average number of likes, comments, shares, etc.

Default:"median"
Enum:"median""average"
GET
/youtube/profile/{userId}/report
curl -i -X GET \
  'https://api.modash.io/v1/youtube/profile/@MrBeast/report?calculationMethod=median' \
  -H 'Authorization: Bearer <YOUR_token_HERE>'

Responses

Bodyapplication/json
errorboolean

If there is an error

Example:false
profileobject(YouTubeReportProfile)required
Response
{ "error": false, "profile": { "userId": "173560420", "profile": {}, "audience": {}, "statsByContentType": {}, "recentPosts": [], "popularPosts": [], "city": "New york", "state": "California", "gender": "FEMALE", "statHistory": [], "contacts": [], "country": "US", "ageGroup": "18-24", "isVerified": true, "postsCount": 37, "avgLikes": 18211, "totalViews": 1821211, "avgComments": 12321, "description": "CEO of #RockTok", "interests": [], "audienceCommenters": {}, "lookalikesByTopics": [], "audienceExtra": {}, "sponsoredPosts": [], "paidPostPerformance": 0.5, "paidPostPerformanceViews": 37, "sponsoredPostsMedianViews": 3127, "sponsoredPostsMedianLikes": 3743, "nonSponsoredPostsMedianViews": 267, "nonSponsoredPostsMedianLikes": 367 } }